/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>POS</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOS()
 * @model
 * @generated
 */
public enum POS implements Enumerator
{
  /**
   * The '<em><b>POS CC</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_CC_VALUE
   * @generated
   * @ordered
   */
  POS_CC(0, "POS_CC", "CC"),

  /**
   * The '<em><b>POS CD</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_CD_VALUE
   * @generated
   * @ordered
   */
  POS_CD(1, "POS_CD", "CD"),

  /**
   * The '<em><b>POS DT</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_DT_VALUE
   * @generated
   * @ordered
   */
  POS_DT(2, "POS_DT", "DT"),

  /**
   * The '<em><b>POS EX</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_EX_VALUE
   * @generated
   * @ordered
   */
  POS_EX(3, "POS_EX", "EX"),

  /**
   * The '<em><b>POS FW</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_FW_VALUE
   * @generated
   * @ordered
   */
  POS_FW(4, "POS_FW", "FW"),

  /**
   * The '<em><b>POS IN</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_IN_VALUE
   * @generated
   * @ordered
   */
  POS_IN(5, "POS_IN", "IN"),

  /**
   * The '<em><b>POS JJ</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJ_VALUE
   * @generated
   * @ordered
   */
  POS_JJ(6, "POS_JJ", "JJ"),

  /**
   * The '<em><b>POS JJR</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJR_VALUE
   * @generated
   * @ordered
   */
  POS_JJR(7, "POS_JJR", "JJR"),

  /**
   * The '<em><b>POS JJS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJS_VALUE
   * @generated
   * @ordered
   */
  POS_JJS(8, "POS_JJS", "JJS"),

  /**
   * The '<em><b>POS LS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_LS_VALUE
   * @generated
   * @ordered
   */
  POS_LS(9, "POS_LS", "LS"),

  /**
   * The '<em><b>POS MD</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_MD_VALUE
   * @generated
   * @ordered
   */
  POS_MD(10, "POS_MD", "MD"),

  /**
   * The '<em><b>POS NN</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NN_VALUE
   * @generated
   * @ordered
   */
  POS_NN(11, "POS_NN", "NN"),

  /**
   * The '<em><b>POS NNS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNS_VALUE
   * @generated
   * @ordered
   */
  POS_NNS(12, "POS_NNS", "NNS"),

  /**
   * The '<em><b>POS NNP</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNP_VALUE
   * @generated
   * @ordered
   */
  POS_NNP(13, "POS_NNP", "NNP"),

  /**
   * The '<em><b>POS NNPS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNPS_VALUE
   * @generated
   * @ordered
   */
  POS_NNPS(14, "POS_NNPS", "NNPS"),

  /**
   * The '<em><b>POS PDT</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_PDT_VALUE
   * @generated
   * @ordered
   */
  POS_PDT(15, "POS_PDT", "PDT"),

  /**
   * The '<em><b>POS POS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_POS_VALUE
   * @generated
   * @ordered
   */
  POS_POS(16, "POS_POS", "POS"),

  /**
   * The '<em><b>POS PRP</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_PRP_VALUE
   * @generated
   * @ordered
   */
  POS_PRP(17, "POS_PRP", "PRP"),

  /**
   * The '<em><b>POS RB</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RB_VALUE
   * @generated
   * @ordered
   */
  POS_RB(18, "POS_RB", "RB"),

  /**
   * The '<em><b>POS RBR</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RBR_VALUE
   * @generated
   * @ordered
   */
  POS_RBR(19, "POS_RBR", "RBR"),

  /**
   * The '<em><b>POS RBS</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RBS_VALUE
   * @generated
   * @ordered
   */
  POS_RBS(20, "POS_RBS", "RBS"),

  /**
   * The '<em><b>POS RP</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RP_VALUE
   * @generated
   * @ordered
   */
  POS_RP(21, "POS_RP", "RP"),

  /**
   * The '<em><b>POS SYM</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_SYM_VALUE
   * @generated
   * @ordered
   */
  POS_SYM(22, "POS_SYM", "SYM"),

  /**
   * The '<em><b>POS TO</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_TO_VALUE
   * @generated
   * @ordered
   */
  POS_TO(23, "POS_TO", "TO"),

  /**
   * The '<em><b>POS UH</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_UH_VALUE
   * @generated
   * @ordered
   */
  POS_UH(24, "POS_UH", "UH"),

  /**
   * The '<em><b>POS VB</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VB_VALUE
   * @generated
   * @ordered
   */
  POS_VB(25, "POS_VB", "VB"),

  /**
   * The '<em><b>POS VBD</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBD_VALUE
   * @generated
   * @ordered
   */
  POS_VBD(26, "POS_VBD", "VBD"),

  /**
   * The '<em><b>POS VBG</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBG_VALUE
   * @generated
   * @ordered
   */
  POS_VBG(27, "POS_VBG", "VBG"),

  /**
   * The '<em><b>POS VBN</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBN_VALUE
   * @generated
   * @ordered
   */
  POS_VBN(28, "POS_VBN", "VBN"),

  /**
   * The '<em><b>POS VBP</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBP_VALUE
   * @generated
   * @ordered
   */
  POS_VBP(29, "POS_VBP", "VBP"),

  /**
   * The '<em><b>POS VBZ</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBZ_VALUE
   * @generated
   * @ordered
   */
  POS_VBZ(30, "POS_VBZ", "VBZ"),

  /**
   * The '<em><b>POS WDT</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WDT_VALUE
   * @generated
   * @ordered
   */
  POS_WDT(31, "POS_WDT", "WDT"),

  /**
   * The '<em><b>POS WP</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WP_VALUE
   * @generated
   * @ordered
   */
  POS_WP(32, "POS_WP", "WP"),

  /**
   * The '<em><b>POS WRB</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WRB_VALUE
   * @generated
   * @ordered
   */
  POS_WRB(33, "POS_WRB", "WRB");

  /**
   * The '<em><b>POS CC</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_CC
   * @model literal="CC"
   * @generated
   * @ordered
   */
  public static final int POS_CC_VALUE = 0;

  /**
   * The '<em><b>POS CD</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_CD
   * @model literal="CD"
   * @generated
   * @ordered
   */
  public static final int POS_CD_VALUE = 1;

  /**
   * The '<em><b>POS DT</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_DT
   * @model literal="DT"
   * @generated
   * @ordered
   */
  public static final int POS_DT_VALUE = 2;

  /**
   * The '<em><b>POS EX</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_EX
   * @model literal="EX"
   * @generated
   * @ordered
   */
  public static final int POS_EX_VALUE = 3;

  /**
   * The '<em><b>POS FW</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_FW
   * @model literal="FW"
   * @generated
   * @ordered
   */
  public static final int POS_FW_VALUE = 4;

  /**
   * The '<em><b>POS IN</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_IN
   * @model literal="IN"
   * @generated
   * @ordered
   */
  public static final int POS_IN_VALUE = 5;

  /**
   * The '<em><b>POS JJ</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJ
   * @model literal="JJ"
   * @generated
   * @ordered
   */
  public static final int POS_JJ_VALUE = 6;

  /**
   * The '<em><b>POS JJR</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJR
   * @model literal="JJR"
   * @generated
   * @ordered
   */
  public static final int POS_JJR_VALUE = 7;

  /**
   * The '<em><b>POS JJS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_JJS
   * @model literal="JJS"
   * @generated
   * @ordered
   */
  public static final int POS_JJS_VALUE = 8;

  /**
   * The '<em><b>POS LS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_LS
   * @model literal="LS"
   * @generated
   * @ordered
   */
  public static final int POS_LS_VALUE = 9;

  /**
   * The '<em><b>POS MD</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_MD
   * @model literal="MD"
   * @generated
   * @ordered
   */
  public static final int POS_MD_VALUE = 10;

  /**
   * The '<em><b>POS NN</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NN
   * @model literal="NN"
   * @generated
   * @ordered
   */
  public static final int POS_NN_VALUE = 11;

  /**
   * The '<em><b>POS NNS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNS
   * @model literal="NNS"
   * @generated
   * @ordered
   */
  public static final int POS_NNS_VALUE = 12;

  /**
   * The '<em><b>POS NNP</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNP
   * @model literal="NNP"
   * @generated
   * @ordered
   */
  public static final int POS_NNP_VALUE = 13;

  /**
   * The '<em><b>POS NNPS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_NNPS
   * @model literal="NNPS"
   * @generated
   * @ordered
   */
  public static final int POS_NNPS_VALUE = 14;

  /**
   * The '<em><b>POS PDT</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_PDT
   * @model literal="PDT"
   * @generated
   * @ordered
   */
  public static final int POS_PDT_VALUE = 15;

  /**
   * The '<em><b>POS POS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_POS
   * @model literal="POS"
   * @generated
   * @ordered
   */
  public static final int POS_POS_VALUE = 16;

  /**
   * The '<em><b>POS PRP</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_PRP
   * @model literal="PRP"
   * @generated
   * @ordered
   */
  public static final int POS_PRP_VALUE = 17;

  /**
   * The '<em><b>POS RB</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RB
   * @model literal="RB"
   * @generated
   * @ordered
   */
  public static final int POS_RB_VALUE = 18;

  /**
   * The '<em><b>POS RBR</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RBR
   * @model literal="RBR"
   * @generated
   * @ordered
   */
  public static final int POS_RBR_VALUE = 19;

  /**
   * The '<em><b>POS RBS</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RBS
   * @model literal="RBS"
   * @generated
   * @ordered
   */
  public static final int POS_RBS_VALUE = 20;

  /**
   * The '<em><b>POS RP</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_RP
   * @model literal="RP"
   * @generated
   * @ordered
   */
  public static final int POS_RP_VALUE = 21;

  /**
   * The '<em><b>POS SYM</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_SYM
   * @model literal="SYM"
   * @generated
   * @ordered
   */
  public static final int POS_SYM_VALUE = 22;

  /**
   * The '<em><b>POS TO</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_TO
   * @model literal="TO"
   * @generated
   * @ordered
   */
  public static final int POS_TO_VALUE = 23;

  /**
   * The '<em><b>POS UH</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_UH
   * @model literal="UH"
   * @generated
   * @ordered
   */
  public static final int POS_UH_VALUE = 24;

  /**
   * The '<em><b>POS VB</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VB
   * @model literal="VB"
   * @generated
   * @ordered
   */
  public static final int POS_VB_VALUE = 25;

  /**
   * The '<em><b>POS VBD</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBD
   * @model literal="VBD"
   * @generated
   * @ordered
   */
  public static final int POS_VBD_VALUE = 26;

  /**
   * The '<em><b>POS VBG</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBG
   * @model literal="VBG"
   * @generated
   * @ordered
   */
  public static final int POS_VBG_VALUE = 27;

  /**
   * The '<em><b>POS VBN</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBN
   * @model literal="VBN"
   * @generated
   * @ordered
   */
  public static final int POS_VBN_VALUE = 28;

  /**
   * The '<em><b>POS VBP</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBP
   * @model literal="VBP"
   * @generated
   * @ordered
   */
  public static final int POS_VBP_VALUE = 29;

  /**
   * The '<em><b>POS VBZ</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_VBZ
   * @model literal="VBZ"
   * @generated
   * @ordered
   */
  public static final int POS_VBZ_VALUE = 30;

  /**
   * The '<em><b>POS WDT</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WDT
   * @model literal="WDT"
   * @generated
   * @ordered
   */
  public static final int POS_WDT_VALUE = 31;

  /**
   * The '<em><b>POS WP</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WP
   * @model literal="WP"
   * @generated
   * @ordered
   */
  public static final int POS_WP_VALUE = 32;

  /**
   * The '<em><b>POS WRB</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POS_WRB
   * @model literal="WRB"
   * @generated
   * @ordered
   */
  public static final int POS_WRB_VALUE = 33;

  /**
   * An array of all the '<em><b>POS</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final POS[] VALUES_ARRAY =
    new POS[]
    {
      POS_CC,
      POS_CD,
      POS_DT,
      POS_EX,
      POS_FW,
      POS_IN,
      POS_JJ,
      POS_JJR,
      POS_JJS,
      POS_LS,
      POS_MD,
      POS_NN,
      POS_NNS,
      POS_NNP,
      POS_NNPS,
      POS_PDT,
      POS_POS,
      POS_PRP,
      POS_RB,
      POS_RBR,
      POS_RBS,
      POS_RP,
      POS_SYM,
      POS_TO,
      POS_UH,
      POS_VB,
      POS_VBD,
      POS_VBG,
      POS_VBN,
      POS_VBP,
      POS_VBZ,
      POS_WDT,
      POS_WP,
      POS_WRB,
    };

  /**
   * A public read-only list of all the '<em><b>POS</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<POS> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>POS</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param literal the literal.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static POS get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      POS result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>POS</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param name the name.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static POS getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      POS result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>POS</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the integer value.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static POS get(int value)
  {
    switch (value)
    {
      case POS_CC_VALUE: return POS_CC;
      case POS_CD_VALUE: return POS_CD;
      case POS_DT_VALUE: return POS_DT;
      case POS_EX_VALUE: return POS_EX;
      case POS_FW_VALUE: return POS_FW;
      case POS_IN_VALUE: return POS_IN;
      case POS_JJ_VALUE: return POS_JJ;
      case POS_JJR_VALUE: return POS_JJR;
      case POS_JJS_VALUE: return POS_JJS;
      case POS_LS_VALUE: return POS_LS;
      case POS_MD_VALUE: return POS_MD;
      case POS_NN_VALUE: return POS_NN;
      case POS_NNS_VALUE: return POS_NNS;
      case POS_NNP_VALUE: return POS_NNP;
      case POS_NNPS_VALUE: return POS_NNPS;
      case POS_PDT_VALUE: return POS_PDT;
      case POS_POS_VALUE: return POS_POS;
      case POS_PRP_VALUE: return POS_PRP;
      case POS_RB_VALUE: return POS_RB;
      case POS_RBR_VALUE: return POS_RBR;
      case POS_RBS_VALUE: return POS_RBS;
      case POS_RP_VALUE: return POS_RP;
      case POS_SYM_VALUE: return POS_SYM;
      case POS_TO_VALUE: return POS_TO;
      case POS_UH_VALUE: return POS_UH;
      case POS_VB_VALUE: return POS_VB;
      case POS_VBD_VALUE: return POS_VBD;
      case POS_VBG_VALUE: return POS_VBG;
      case POS_VBN_VALUE: return POS_VBN;
      case POS_VBP_VALUE: return POS_VBP;
      case POS_VBZ_VALUE: return POS_VBZ;
      case POS_WDT_VALUE: return POS_WDT;
      case POS_WP_VALUE: return POS_WP;
      case POS_WRB_VALUE: return POS_WRB;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private POS(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //POS
